geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Forrest Xia (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (GERONIMO-6290) Add explicit import-packages for some module builders
Date Mon, 27 May 2013 12:35:24 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-6290?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Forrest Xia updated GERONIMO-6290:
----------------------------------

    Fix Version/s:     (was: 3.0.1)
                   3.0.2
    
> Add explicit import-packages for some module builders
> -----------------------------------------------------
>
>                 Key: GERONIMO-6290
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-6290
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: deployment
>    Affects Versions: 3.0-beta-1
>            Reporter: Ivan
>            Assignee: Ivan
>             Fix For: 3.0-beta-2, 3.0.2
>
>
> Sometimes, while users include some spec API classes in their applications, it will cause
some CCE. Considering that, it is always required to use those api classes from server runtime
if the application will take advantage of those features from server, it is better to add
those packages explicitly in the defaultEnvironment. 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message